net.sf.jasperreports.charts

## Interface JRHighLowDataset

- All Superinterfaces:
    java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  All Known Implementing Classes:
    JRBaseHighLowDataset, JRDesignHighLowDataset, JRFillHighLowDataset

      public interface JRHighLowDataset
      extends JRChartDataset

  Although the name of this dataset is "High-Low", it can actually hold a series of (x, high, low, open, close, volume) items. It is used in combination with either a High-Low or a Candlestick chart.
  Version:
    $Id: JRHighLowDataset.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getCloseExpression()`
    `JRExpression` | `getDateExpression()`
    `JRExpression` | `getHighExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLowExpression()`
    `JRExpression` | `getOpenExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getVolumeExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeriesExpression

          JRExpression getSeriesExpression()

      Returns:
        the expression of the series name. Currently only one series is supported inside a High-Low or Candlestick chart. This limitation is documented inside JFreeChart, the library used for the built-in chart support. However, this single series must be identified by a `java.lang.Comparable` value returned by this expression, and it must also be used as the series name in the chart's legend.

    - #### getDateExpression

          JRExpression getDateExpression()

      Returns:
        the expression of the date to which the current (high, low, open, close, volume) item refers.

    - #### getHighExpression

          JRExpression getHighExpression()

      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### getLowExpression

          JRExpression getLowExpression()

      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### getOpenExpression

          JRExpression getOpenExpression()

      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### getCloseExpression

          JRExpression getCloseExpression()

      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### getVolumeExpression

          JRExpression getVolumeExpression()

      Returns:
        a numeric expression representing the volume value to use for the current data item. It is used only for Candlestick charts.

    - #### getItemHyperlink

          JRHyperlink getItemHyperlink()

      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Returns:
        hyperlink specification for chart items

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com